<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.47
Name: [4] Wykonane procedury podczas operacji
Description: Szablon CDA listą wykonanych procedur podczas operacji
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000">
   <title>[4] Wykonane procedury podczas operacji</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]"
         id="tmp-r-0564d207-4f46-4c0d-9e10-005c7d00e19c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'])&gt;=1 and not(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/@nullFlavor)">(plCdaSurgicalProcedureEntry): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']"
         id="tmp-r-873b9d58-8f51-4a35-af95-7dbaf4b49cc4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="string(@classCode)='PROC'">(plCdaSurgicalProcedureEntry): Wartość dla @classCode MUSI wynosić 'PROC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaSurgicalProcedureEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaSurgicalProcedureEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(plCdaSurgicalProcedureEntry): Atrybut @negationInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47']/@nullFlavor)">(plCdaSurgicalProcedureEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&gt;=1 ">(plCdaSurgicalProcedureEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:languageCode)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:languageCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47']
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47']"
         id="tmp-r-838c5c09-e796-4af9-9789-6f4470f16fa3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.47'">(plCdaSurgicalProcedureEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.47'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:id
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:id"
         id="tmp-r-7f9127c5-feed-4df7-9212-4a55adbfd86a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]"
         id="tmp-r-e7ea49a6-88a9-449b-a5b7-ea714321d38f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="hl7:translation/@codeSystem='2.16.840.1.113883.3.4424.11.2.6'">(plCdaSurgicalProcedureEntry):  Nie można
                  użyć kodu ze słownika ICD-9 PL do kodowania tłumaczenia kodu zabiegu/procedury.
               </report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:statusCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:statusCode"
         id="tmp-r-554073c8-bd70-475a-b54f-c074152dba74">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić ActStatus (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSurgicalProcedureEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ActStatus (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:effectiveTime
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:effectiveTime"
         id="tmp-r-7230e4bf-2dae-42ac-a362-c1104187d6e7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:priorityCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:priorityCode"
         id="tmp-r-73714004-3d5d-4813-8ac3-eef143b04a7d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić ActPriority (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSurgicalProcedureEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ActPriority (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:languageCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:languageCode"
         id="tmp-r-1eaa9e25-2bf0-44ca-9e7f-822dc4f59fc9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić JezykDokumentu Język dokumentu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSurgicalProcedureEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości JezykDokumentu Język dokumentu (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:methodCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:methodCode"
         id="tmp-r-0289ea50-f9e1-4d54-ac54-a1ee65064e82">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1065')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1065'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:approachSiteCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:approachSiteCode"
         id="tmp-r-7186496e-b4c9-4dad-82de-bf0c67e964f3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1052'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:targetSiteCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:targetSiteCode"
         id="tmp-r-71d0c625-b994-4632-bf32-e2a41ddb4d8a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1052'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:specimen[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.16']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:performer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.17']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.18']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.19']
Item: (plCdaSurgicalProcedureEntry)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:entryRelationship
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:reference
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:precondition
Item: (plCdaSurgicalProcedureEntry)
-->
</pattern>
